/*
 * @NOTE: Prepend a `~` to css file paths that are in your node_modules
 *        See https://github.com/webpack-contrib/sass-loader#imports
 */
@import url("https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900");

*{
  margin: 0;
  padding:0;
  overflow-y: hidden;
  overflow-x: hidden;
}

*, *::after, *::before {
	-webkit-user-select: none;
	-webkit-user-drag: none;
	-webkit-app-region: no-drag;
}

li {
  list-style: none;
}

p{
  color:#000;
}

.Hello {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px 0;
}

.container{
  display:flex;
  justify-content: flex-start;
  overflow-y: hidden;
}

main{
  overflow-y: hidden;
  width:100%;
  position: relative;
  color: white;
  height: 100vh;
  background: linear-gradient(
    200.96deg,
    #fedc2a -29.09%,
    #dd5789 51.77%,
    #7a2c9e 129.35%
  );
  font-family: sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sidebar{
  display:flex;
  flex-direction: column;
  align-items: center;
  background-color: #2c0735;
}

.link{
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  padding: 10px 45px;
  transition: all 0.5s;
}
.link:hover{
  background: #fedc2a;
  color: #000;
}

.active{
  background: #fedc2a;
  color: #000
}

.top{
  padding: 10px 15px;
}


:root {
  --color-primary: #f6aca2;
  --color-secondary: #f49b90;
  --color-tertiary: #f28b7d;
  --color-quaternary: #f07a6a;
  --color-quinary: #ee6352;
  /*
  --color-primary: #5192ED;
  --color-secondary: #69A1F0;
  --color-tertiary: #7EAEF2;
  --color-quaternary: #90BAF5;
  --color-quinary: #A2C4F5;
  */
}

.page-title{
   position: absolute;
    top: 5%; 
    right: 50%;
    transform: translate(50%, 50%);
    text-transform: uppercase;
    font-family: "Poppins";
    color: transparent;
    -webkit-text-stroke: 2px #FFF;
    font-size: 2em;
    font-weight: 700;
}



.quizzCards-container{
  display:flex;
  flex-shrink: 0;
  flex-direction: row;
  overflow-x: hidden;
}

.quizz-container{
  position:relative;
  width:100vw;
  height:100vh;
}


.card{
  width: 70vw;
  height: 50vh;
  position:absolute;
  top:50%;
  left:50%;
  transform:translate(-50%,-50%);
  background-color: white;
  border-radius: 20px;
  animation-fill-mode: forwards;
  transition:500ms ease-out;
}

.firstCard{
  z-index: 99;
}

.previousCard{
  transform: translate(-150vw,-40%);
  opacity:0.4;
}
.nextCard{
  transform: translate(100vw,-40%);
  opacity: 0.4;
}

.navCards{
  position: absolute;
  bottom:10%;
  left:50%;
  transform: translate(-50%,-50%);
}

.navCard{
    margin: 40px 30px;
    font-family: Bebas Neue; 
    font-weight: 0; 
    font-size: 15px; 
    color: #fff; 
    background: linear-gradient(90deg,#2c0735 0%, #350727 100%); 
    padding: 10px 10px; 
    width:fit-content;
    height:fit-content;
    border: none; 
    box-shadow: rgb(0, 0, 0) 0px 0px 0px 0px; 
    border-radius: 10px; 
}


.connection-form{
  display:flex;
  flex-direction: column;
  align-items: center;
  margin: 30px;
}

.login-registration-columns{
  display: flex;
  align-items: center;
}

.vertBas{
  flex-grow: 1;
}